import * as React from "react";
import { SpringValue } from "react-spring";
export interface CubeProps {
    hasNext?: (i: number) => boolean;
    renderItem: (i: number, active: boolean, rotate: SpringValue<number>) => React.ReactNode;
    width?: number;
    height?: number;
    perspective?: number;
    paneStyle?: React.CSSProperties;
    scaleRange?: [number, number];
    lockScrolling?: boolean;
}
/**
 * React-Cube
 *
 * A 3d rotated cube which supports gestures
 * and an infinite number of views (i.e., it supports
 * windowing). It's inspired by the instagram story
 * inteface.
 */
export declare function Cube({ hasNext, renderItem, width, height, perspective, paneStyle, scaleRange, lockScrolling }: CubeProps): JSX.Element;
